aboutsummaryrefslogtreecommitdiffstats
path: root/bin/rts
diff options
context:
space:
mode:
Diffstat (limited to 'bin/rts')
-rwxr-xr-xbin/rts14
1 files changed, 11 insertions, 3 deletions
diff --git a/bin/rts b/bin/rts
index 509590b..fcb6c15 100755
--- a/bin/rts
+++ b/bin/rts
@@ -1,8 +1,16 @@
#!/usr/bin/env bash
-#Applies real-time kernel specific settings found in /etc/rts.d/*
+#Applies real-time kernel specific settings found in /etc/rts/*
if [ "$1" ]; then
- . /etc/rts/"$1"
+ if [ -f /etc/rts/"$1" ]; then
+ . /etc/rts/"$1"
+ else
+ exit 1
+ fi
else
- . /etc/rts/rts
+ if [ -f /etc/rts/rts ]; then
+ . /etc/rts/rts
+ else
+ exit 1
+ fi
fi